org.springframework.data.web

## Annotation Type SortDefault

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=PARAMETER)
    public @interface SortDefault

Annotation to define the default `Sort` options to be used when injecting a `Sort` instance into a controller handler method.

Since:
  1.6
Author:
  Oliver Gierke

### Optional Element Summary

Optional Elements
`boolean` `caseSensitive` Specifies whether to apply case-sensitive sorting.
`Sort.Direction` `direction` The direction to sort by.
`String[]` `sort` The properties to sort by by default.
`String[]` `value` Alias for `sort()` to make a declaration configuring fields only more concise.

### Element Detail

#### value

    public abstract String[] value

Alias for `sort()` to make a declaration configuring fields only more concise.

Returns:

Default:
  {}

#### sort

    public abstract String[] sort

The properties to sort by by default. If unset, no sorting will be applied at all.

Returns:

Default:
  {}

#### direction

    public abstract Sort.Direction direction

The direction to sort by. Defaults to `Sort.Direction.ASC`.

Returns:

Default:
  org.springframework.data.domain.Sort.Direction.ASC

#### caseSensitive

    public abstract boolean caseSensitive

Specifies whether to apply case-sensitive sorting. Defaults to true.

Returns:
Since:
  2.3

Default:
  true